# $Revision: 1.13 $, $Date: 2004/05/06 18:43:09 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD2
Summary:	Digest::MD2 - MD2 digest algorithm implementation
Summary(pl):	Digest::MD2 - implementacja algorytmu skrtu MD2
Name:		perl-Digest-MD2
Version:	2.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	feecf9faa1b0a499a48fce214a309a78
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD2 module allows you to use the RSA Data Security Inc.
MD2 Message Digest algorithm from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
128-bit "fingerprint" or "message digest" of the input. The algorithm
is described in RFC 1319.

%description -l pl
Modu Digest::MD2 pozwala na uywanie algorytmu skrtu MD2 firmy RSA
Data Security Inc. w programach perlowych. Algorytm przyjmuje na
wejciu tekst o dowolnej dugoci, a produkuje na wyjciu 128-bitowy
"odcisk palca" lub "skrt" informacji wejciowej. Algorytm jest
opisany w RFC 1319.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/MD2.pm
%dir %{perl_vendorarch}/auto/Digest/MD2
%{perl_vendorarch}/auto/Digest/MD2/MD2.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/MD2/MD2.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-MD2.spec,v $
Revision 1.13  2004/05/06 18:43:09  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.11  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.10  2003/10/31 23:35:46  qboosh
- updated to 2.03, added tests

Revision 1.9  2003/09/15 09:42:20  adamg
- updated to 2.02

Revision 1.8  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/01 18:05:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:31:46  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/01/07 14:51:21  mis
- autoupdated to 2.01

Revision 1.1  2002/07/21 21:51:13  qboosh
- new
